﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Bus
{
    internal class EntitySportBus : EntityBus
    {
        public Color DopColor { get; set; }
        public Color DopColor1 { get; set; }
        public bool BodyKit { get; private set; }
        public bool Wing { get; private set; }
        public bool Sportline { get; private set; }

        public EntitySportBus(int speed, float weight, Color bodyColor, Color dopColor, bool bodyKit, bool wing, bool sportline) :
            base(speed, weight, bodyColor)
        {
            DopColor = dopColor;
            DopColor1 = bodyColor;
            BodyKit = bodyKit;
            Wing = wing;
            Sportline = sportline;
        }
    }
}
